aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorGeoffrey Keating <geoffk@apple.com>2002-10-09 21:00:54 +0000
committerGeoffrey Keating <geoffk@gcc.gnu.org>2002-10-09 21:00:54 +0000
commitb4d8dbcfa1342d9e2be07281acee5d483c4c550e (patch)
treee14c5f76b3d36bb9d8cc2892876365b53d2ffb15 /contrib
parent44a5565d43aa79ea9fa56e5d696b59d12db33191 (diff)
downloadgcc-b4d8dbcfa1342d9e2be07281acee5d483c4c550e.zip
gcc-b4d8dbcfa1342d9e2be07281acee5d483c4c550e.tar.gz
gcc-b4d8dbcfa1342d9e2be07281acee5d483c4c550e.tar.bz2
* objs-gcc.sh: On (non-linux) native hosts, use 'make bootstrap'.
From-SVN: r57993
Diffstat (limited to 'contrib')
-rw-r--r--contrib/regression/ChangeLog4
-rwxr-xr-xcontrib/regression/objs-gcc.sh3
2 files changed, 7 insertions, 0 deletions
diff --git a/contrib/regression/ChangeLog b/contrib/regression/ChangeLog
index e5239c5..a32bf85 100644
--- a/contrib/regression/ChangeLog
+++ b/contrib/regression/ChangeLog
@@ -1,3 +1,7 @@
+2002-10-09 Geoffrey Keating <geoffk@apple.com>
+
+ * objs-gcc.sh: On (non-linux) native hosts, use 'make bootstrap'.
+
2002-03-09 Geoffrey Keating <geoffk@redhat.com>
* btest-gcc.sh: For crosses, assume newlib and GNU binutils.
diff --git a/contrib/regression/objs-gcc.sh b/contrib/regression/objs-gcc.sh
index 839fcff..5171b2e 100755
--- a/contrib/regression/objs-gcc.sh
+++ b/contrib/regression/objs-gcc.sh
@@ -104,6 +104,9 @@ if [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-gnu ]
then
make all-gdb all-dejagnu all-ld || exit 1
make install-gdb install-dejagnu install-ld || exit 1
+elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
+ make bootstrap || exit 1
+ make install || exit 1
else
make || exit 1
make install || exit 1